body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
    color: #333;
    margin: 0;
    padding: 20px;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
.container {
    text-align: center;
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    margin: 0 auto;
}
h1 {
    margin-bottom: 10px;
}
.subtitle {
    color: #555;
    margin-bottom: 20px;
}

.actionbutton {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 18px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
}
#record-btn.recording {
    background-color: #dc3545;
}
#download-btn {
    display: none;
    margin-top: 20px;
    background-color: #28a745;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 18px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
}
.timer {
    margin-top: 10px;
    font-size: 16px;
}
.recordings-section {
    margin-top: 40px;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}
.recordings-section h2 {
    text-align: center;
    margin-bottom: 20px;
}
#recordings-list {
    list-style: none;
    padding: 0;
}
.recording-item {
    display: flex;
    align-items: center;
    background-color: white;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 15px;
}
.recording-item img {
    width: 120px;
    height: 90px;
    object-fit: cover;
    border-radius: 5px;
    margin-right: 15px;
}
.recording-info {
    flex-grow: 1;
}
.recording-info p {
    margin: 5px 0;
    font-size: 14px;
    color: #555;
}
.recording-actions a {
    text-decoration: none;
    color: #007bff;
    font-size: 14px;
    cursor: pointer;
    margin-right: 10px;
}
.recording-actions a.delete-link {
    color: #dc3545;
}
.recording-actions a:hover {
    text-decoration: underline;
}
.recorder-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    flex-wrap: wrap;
}
.recorder-controls {
    flex: 1;
    min-width: 300px;
    margin-right: 20px;
}
#face-mesh-container {
    width: 300px;
    height: 225px;
    border: 1px solid #ccc;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
    background-color: #000;
}
#facepoints {
    width: 100%;
    height: 100%;
}

#playercontainer {
    position: fixed;
    top: 10%;
    left: 10%;
    height: 80%;
    width: 80%;
    z-index: 1000;
    background-color: #000;
}

#videoplayer{
    height: 100%;
    width: 100%;
}